Package org.opensaml.saml.common.binding.artifact.impl

# Class BasicSAMLArtifactMap.Cleanup

java.lang.Object
java.util.TimerTask
org.opensaml.saml.common.binding.artifact.impl.BasicSAMLArtifactMap.Cleanup

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  BasicSAMLArtifactMap

protected class BasicSAMLArtifactMap.Cleanup extends TimerTask
A cleanup task that relies on the weakly consistent iterator support in the map implementation.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Cleanup()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.util.TimerTask

`cancel, scheduledExecutionTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Cleanup

protected Cleanup()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Specified by:
  `run` in class `TimerTask`